using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using VIZ.Framework.Core;

namespace VIZ.Framework.MacTool
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            StringBuilder sb_all = new StringBuilder();
            StringBuilder sb_filter = new StringBuilder();

            foreach (NetHelperMacInfo info in NetHelper.GetAllMacAddress())
            {
                sb_all.AppendLine(info.ToString());
            }

            foreach (NetHelperMacInfo info in NetHelper.GetAllMacAddressWithDefaultFilter())
            {
                sb_filter.AppendLine(info.ToString());
            }

            this.tb_filter.Text = sb_filter.ToString();
            this.tb_all.Text = sb_all.ToString();
        }
    }
}
